org.codehaus.groovy.control.messages

## Class SimpleMessage

- java.lang.Object
- - org.codehaus.groovy.control.messages.Message
  - - org.codehaus.groovy.control.messages.SimpleMessage

- Direct Known Subclasses:
    LocatedMessage

      public class SimpleMessage
      extends Message

  A base class for compilation messages.
  Version:
    $Id$
  Author:
    Chris Poirier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `data`
    `protected String` | `message`
    `protected ProcessingUnit` | `owner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleMessage(String message, Object data, ProcessingUnit source)`
    `SimpleMessage(String message, ProcessingUnit source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `void` | `write(PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.

    - ### Methods inherited from class org.codehaus.groovy.control.messages.Message

      `create, create, create, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### message

          protected String message

    - #### data

          protected Object data

    - #### owner

          protected ProcessingUnit owner

  - ### Constructor Detail

    - #### SimpleMessage

          public SimpleMessage(String message,
                       ProcessingUnit source)

    - #### SimpleMessage

          public SimpleMessage(String message,
                       Object data,
                       ProcessingUnit source)

  - ### Method Detail

    - #### write

          public void write(PrintWriter writer,
                   Janitor janitor)

      Description copied from class: `Message`
      Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.
      Specified by:
        `write` in class `Message`

    - #### getMessage

          public String getMessage()